use crate::prelude::*;

use std::os::raw::c_void;
use std::ptr;

#[repr(C)]
#[derive(Debug)]
pub struct VkImageMemoryRequirementsInfo2 {
    pub sType: VkStructureType,
    pub pNext: *mut c_void,
    pub image: VkImage,
}

impl VkImageMemoryRequirementsInfo2 {
    pub fn new(image: VkImage) -> Self {
        VkImageMemoryRequirementsInfo2 {
            sType: VK_STRUCTURE_TYPE_BUFFER_MEMORY_REQUIREMENTS_INFO_2,
            pNext: ptr::null_mut(),
            image,
        }
    }
}
